%define pyver 2.2

Summary: A python module for working with utmp
Name: python-utmp
Version: 0.7
Release: 1mdk
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: Development/Python
Requires: python = %pyver
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: python-devel
Prefix: %{_prefix}

%description

This package provides 3 python modules to access utmp and wtmp
records.  utmpaccess is lowlevel module wrapping glibc functions,
UTMPCONST provides useful constants, and utmp is module build on top
of utmpaccess module, providing object oriented interface.

%prep
%setup

%build
%make -f Makefile.glibc PYTHONVER=%pyver PYTHONDIR='$(DESTDIR)%_libdir/python%pyver/site-packages/'

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -f Makefile.glibc PYTHONVER=%pyver PYTHONDIR='$(DESTDIR)%_libdir/python%pyver/site-packages/'


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README TODO examples/*
%_libdir/python%pyver/site-packages/*

%changelog
* Wed Feb 12 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.7-1mdk
- 0.7

* Sat Feb  1 2003 Frederic Lepied <flepied@mandrakesoft.com> 0.6-1mdk
- Initial Mandrake Linux packaging

# end of file
